- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
ggetopt.h File Reference
`#include "gdef.h"`
`#include "garg.h"`
`#include "gstrings.h"`
`#include "gexception.h"`
`#include <string>`
`#include <list>`
`#include <map>`

Go to the source code of this file.

## Classes
class | G::GetOpt
| A command line switch parser. More...
struct | G::GetOpt::Level
| Used by G::GetOpt for extra type safety. More...
struct | G::GetOpt::SwitchSpec
| A private implementation structure used by G::GetOpt. More...

## Namespaces
| G
| Low-level classes.